#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QtGui/QSplashScreen>
//#include <QPixmap>
#include <QLayout>
#include <QTimer>
#include "taperthread.h"
#include "renderarea.h"

//#include "taper.h"



namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
    volatile int splashtimer;

private:
    Ui::MainWindow *ui;

    RenderArea *plot;
    QGraphicsScene *scene;
    QGraphicsView *view;
    TaperThread *tthread;

    QSplashScreen *about_splash;


private slots:
    void on_actionQuit_triggered();
    void on_actionAbout_Tapersim_triggered();
    void redraw_slot();
    void anim();
    void params_updated();
    void splash_destroyed();
};

#endif // MAINWINDOW_H
