#include "renderarea.h"

RenderArea::RenderArea(QWidget *parent) : QWidget(parent)
{
  setBackgroundRole(QPalette::Base);
  segments=0;
}



void RenderArea::paintEvent(QPaintEvent *)
{

  QPainter painter(this);
  painter.setRenderHint(QPainter::Antialiasing,true);
  painter.setWindow(0,0,1000,1000);

  /*
  painter.drawRect(100,100,800,800);
  painter.drawLine(10,10,300,300);
  painter.drawLine(10,10,-10,-10);
*/


  if(segments>0)
  {
    fiber_totlength=0;
    fiber_mindiam=fiber_r0;
    fiber_taperlength=0;
    fiber_max_angle=0;
    int unsigned i=1;
    while(i<segments)
    {
      fiber_totlength+=fiber[i].dl;
      if(fiber_mindiam>fiber[i].r)fiber_mindiam=fiber[i].r;
      if(fiber[i].r<0.99999*fiber_r0)fiber_taperlength+=fiber[i].dl;
      double angle=(fiber[i-1].r-fiber[i].r)/fiber[i].dl;
      if(angle>fiber_max_angle)fiber_max_angle=angle;
      i++;
    }
    fiber_taperlength*=2.0;
    fiber_mindiam*=2.0;
    fiber_max_angle*=1.0E3;

    double dx=500.0/fiber_totlength;
    double dy=450.0/fiber_r0;

    double x=0;
    i=0;
    while(i<segments-1)
    {
      painter.drawLine(dx*x,500-dy*fiber[i].r,dx*(x+fiber[i+1].dl),500-dy*fiber[i+1].r);
      painter.drawLine(1000-dx*x,500-dy*fiber[i].r,1000-dx*(x+fiber[i+1].dl),500-dy*fiber[i+1].r);
      painter.drawLine(dx*x,500+dy*fiber[i].r,dx*(x+fiber[i+1].dl),500+dy*fiber[i+1].r);
      painter.drawLine(1000-dx*x,500+dy*fiber[i].r,1000-dx*(x+fiber[i+1].dl),500+dy*fiber[i+1].r);

      x+=fiber[i+1].dl;
      i++;
    }
  }
}


