#include <iostream>
#include <math.h>
#include <complex>
#include <cstdlib>
using namespace std;

#define PI 3.141592653589793238462643383
#define twoPI 6.283185307179586476925286767
#define sigma_ 5.67E-20 //[W/(um^2*K^4)] Stefan-Boltzman constant in funny units

#define N_ 1000   //number of elements in the fiber array
#define nofpulls_ 1000 //number of steps during the pulling 

#define PL_  3 //[W] CO2 laser power
#define w0_  50 //[um] beam radius at laser focus

#define beta_ 0.033 //[um^-1] absorption coefficient of fused silica @ laser wavelength
#define epsilon_  0.86 //[1] 'blackness' of glass (black body radiation)

//Viscosity: log(η, Pa·s) = A + B / (T in °C − To)
#define A_  (-7.766) //for viscosity calculation
#define B_  27913.0
#define T0_ (-271.7)

#define r0_ 62.5  //[um] initial fiber radius
#define x0_ 10000  //[um] total pull length
#define L0_ 5000  //[um] initial heating length
#define alpha_ 1.5 //[1]  alpha parameter during pulling. L(x) = L0_ + alpha*x




#ifndef __fiberTYPES__
#define __fiberTYPES__
typedef struct fiberelement
{
  double r;
  double dl;
}fiberelement;
#endif

